##
##  seed7.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 05.20250111
%define       V_dist 05_20250111

#   package information
Name:         seed7
Summary:      Seed7 Programming Language
URL:          http://www.seed7.org/
Vendor:       Thomas Mertes
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      LGPL
Version:      %{V_opkg}
Release:      20250111

#   list of sources
Source0:      http://downloads.sourceforge.net/seed7/seed7_%{V_dist}.tgz
Patch0:       seed7.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  ncurses
PreReq:       ncurses

%description
    Seed7 is an extensible general purpose programming language. It is
    a higher level language compared to Ada, C/C++ and Java. Its major
    features include: user defined statements and operators, abstract
    data types, templates without special syntax, OO with interfaces and
    multiple dispatch, statically typed, interpreted or compiled, and
    portability.

%track
    prog seed7 = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/seed7/files/
        regex     = seed7_(\d+_\d+)\.tgz
    }

%prep
    %setup -q -n seed7
    %patch -p0

%build
    cd src
    %{l_make} %{l_mflags} \
        CFLAGS="%{l_cflags} %{l_cppflags}" \
        LFLAGS="%{l_ldflags}" \
        SEED7_LIBRARY="%{l_prefix}/lib/seed7" \
        depend
    %{l_make} %{l_mflags} \
        CFLAGS="%{l_cflags} %{l_cppflags}" \
        LFLAGS="%{l_ldflags}" \
        SEED7_LIBRARY="%{l_prefix}/lib/seed7"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/seed7
    %{l_shtool} install -c -s -m 755 \
        bin/s7 $RPM_BUILD_ROOT%{l_prefix}/bin/s7
    %{l_shtool} install -c -m 644 \
        lib/*.s7i $RPM_BUILD_ROOT%{l_prefix}/lib/seed7/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

